## LassoSamlp2ArtifactResponse LassoSamlp2ArtifactResponse — <samlp2:ArtifactResponse> |

## Functions

LassoNode * | lasso_samlp2_artifact_response_new ()

## Types and Values

struct | LassoSamlp2ArtifactResponse

## Description

Figure 69. Schema fragment for samlp2:ArtifactResponse

    <complexType name="ArtifactResponseType">
      <complexContent>
        <extension base="samlp:StatusResponseType">
          <sequence>
            <any namespace="##any" processContents="lax" minOccurs="0"/>
          </sequence>
        </extension>
      </complexContent>
    </complexType>

## Functions

### lasso_samlp2_artifact_response_new ()

    LassoNode *
    lasso_samlp2_artifact_response_new (void);

Creates a new LassoSamlp2ArtifactResponse object.

#### Returns

a newly created LassoSamlp2ArtifactResponse object

## Types and Values

### struct LassoSamlp2ArtifactResponse

    struct LassoSamlp2ArtifactResponse {
    	LassoSamlp2StatusResponse parent;

    	/* elements */
    	LassoNode *any;
    };